package com.utopiaindustries.model.ctp;

import java.util.List;

public class User {

    private String username;
    private String password;
    private boolean enabled;
    //wrapper
    private List<Authority> authorities;
    private List<UserInventoryAccount> inventoryAccounts;
    private String newPassword;

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public boolean getEnabled() {
        return enabled;
    }

    public void setEnabled(boolean enabled) {
        this.enabled = enabled;
    }

    public List<Authority> getAuthorities() {
        return authorities;
    }

    public void setAuthorities(List<Authority> authorities) {
        this.authorities = authorities;
    }

    public List<UserInventoryAccount> getInventoryAccounts() {
        return inventoryAccounts;
    }

    public void setInventoryAccounts(List<UserInventoryAccount> inventoryAccounts) {
        this.inventoryAccounts = inventoryAccounts;
    }

    public String getNewPassword() {
        return newPassword;
    }

    public void setNewPassword(String newPassword) {
        this.newPassword = newPassword;
    }

    @Override
    public String toString() {
        return "User{" +
                "username='" + username + '\'' +
                ", password='" + password + '\'' +
                ", enabled=" + enabled +
                ", authorities=" + authorities +
                ", inventoryAccounts=" + inventoryAccounts +
                ", newPassword='" + newPassword + '\'' +
                '}';
    }
}
